import pipeMapCheck from '@/assets/images/pipe-map-check.png';
import pipeMapMarker from '@/assets/images/pipe-map-marker.png';
import CooglMap from '@/components/CooglMap';
import React, { useRef } from 'react';
import styles from './index.less';

const MapSection: React.FC = () => {
  const mapRef = useRef<any>();

  return (
    <div className={styles.container}>
      <div className={styles.mapWrapper}>
        <div className={styles.header}>
          <div className={styles.title}>管廊分布</div>
        </div>

        <CooglMap.MapView
          ref={mapRef}
          zoom={8}
          center={{ x: 103.96, y: 30.658842 }}
          mode="3D"
        >
          {/* 地图内容 */}
        </CooglMap.MapView>

        <div className={styles.legend}>
          <div className={styles.legendTitle}>图层图例</div>
          <div className={styles.legendItem}>
            <img src={pipeMapCheck} alt="监控中心" />
            <span>监控中心</span>
          </div>
          <div className={styles.legendItem}>
            <img src={pipeMapMarker} alt="总控中心" />
            <span>总控中心</span>
          </div>
          <div className={styles.legendItem}>
            <img src={pipeMapMarker} alt="分控中心" />
            <span>分控中心</span>
          </div>
        </div>
      </div>
    </div>
  );
};

export default MapSection;
